
// StructApiComponent.c
//
// Specifies the main source file of the component. Add initialization and event registrations to
// the files COMPONENT_INIT functions.


#include "legato.h"
#include "interfaces.h"

#define PREFIX_LOG_MSG "LOG_SERVER> "
#define MESSAGE_SIZE SAMPLE_MSG_API_SIZE
#define MESSAGE_MAX  (MESSAGE_SIZE - 1)
// Name of function: logger because of Component.cdef
//   provides: api: logger.api
// and logMessage because defined FUNCTION in logger.api
void Sample_logMessage
(
	const char* message ,     ///< [IN]
char* message2,
       
    size_t message2Size
)
{
	LE_INFO( PREFIX_LOG_MSG "received the message \"%s\" from a client.",
		     message );


	snprintf( message2, MESSAGE_SIZE,
		          "1234123412341324");
		message2[ MESSAGE_MAX ] = '\0';


}

void Sample_arraySend
(
    const Sample_ARRAY123_t * test
        ///< [IN]
)
{

LE_INFO( PREFIX_LOG_MSG "Sample_arraySend" );

}

COMPONENT_INIT
{
    LE_INFO("Component StructApiComponent started.");
	LE_INFO( PREFIX_LOG_MSG "started; waiting for requests from client");
	// after the }, the component will be handling the request
}
